Package org.eclipse.mat.parser.index

## Class IndexWriter.IntArray1NUncompressedCollector

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.IntArray1NUncompressedCollector

Enclosing class:
  IndexWriter

    public static class IndexWriter.IntArray1NUncompressedCollector
    extends Object

Build index for mapping int to int array.

### Constructor Summary

Constructors
`IntArray1NUncompressedCollector​(int size, File indexFile)` Constructor for index of given size

### Method Summary

All Methods Instance Methods Concrete Methods
`IIndexReader.IOne2ManyIndex` `flush()` Write the in memory version to disk and return the reader.
`File` `getIndexFile()` Get the backing file
`void` `log​(int classId, int methodId)` Add entry for classid

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntArray1NUncompressedCollector

    public IntArray1NUncompressedCollector​(int size,
                                           File indexFile)
                                    throws IOException

Constructor for index of given size

Parameters:
  `size` - number of entries
Throws:
  `IOException` - if a problem occurs with the write

### Method Detail

#### log

    public void log​(int classId,
                    int methodId)

Add entry for classid

Parameters:
  `classId` - the class id
  `methodId` - the method id to be added to the array

#### getIndexFile

    public File getIndexFile()

Get the backing file

Returns:
  the backing file

#### flush

    public IIndexReader.IOne2ManyIndex flush()
                                      throws IOException

Write the in memory version to disk and return the reader.

Returns:
  the new reader
Throws:
  `IOException` - if a write error occurs